Bug 212738 - /etc/profile.d/lang.sh does not support hebrew encoding (ISO-8859-8)
/etc/profile.d/lang.sh does not support hebrew encoding (ISO-8859-8)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-28 12:03 EDT by Matan Ziv-Av
Modified: 2014-03-16 23:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 12:15:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that fixes the problem. (745 bytes, patch)
2006-10-28 12:03 EDT, Matan Ziv-Av
no flags Details | Diff

  None (edit)
Description Matan Ziv-Av 2006-10-28 12:03:27 EDT
Description of problem:In order to display hebrew characters on linux virtual terminal, an escape sequence to change to secondary chars needs to be printed.
That sequence is printed for some other charsets, but not for hebrew charset.

Version-Release number of selected component (if applicable):


How reproducible:Always


Steps to Reproduce:
1.Select non-UTF8 locale.
2.Select hebrew font
3.echo -e \\xe1
  
Actual results:Accented a is displayed


Expected results:Hebrew letter bet should be displayed.


Additional info:
Comment 1 Matan Ziv-Av 2006-10-28 12:03:27 EDT
Created attachment 139639 [details]
Patch that fixes the problem.
Comment 2 Bill Nottingham 2006-10-30 12:15:55 EST
Added in CVS (with its lang.csh counterpart). Should be in 8.47-1.
Comment 3 Fedora Update System 2006-10-30 22:14:27 EST
initscripts-8.45.4-1 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Fedora Update System 2006-11-06 14:55:09 EST
initscripts-8.45.5-1 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.